<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.system.mapper.RedMoneyRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="RedMoneyRecordResultMap" type="org.springblade.modules.system.entity.RedMoneyRecord">
        <id column="id" property="id"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="is_delete" property="isDelete"/>
        <result column="before_money" property="beforeMoney"/>
        <result column="after_money" property="afterMoney"/>
        <result column="type" property="type"/>
        <result column="fluctuant_amount" property="fluctuantAmount"/>
        <result column="charge_amount" property="chargeAmount"/>
        <result column="tax_amount" property="taxAmount"/>
        <result column="source" property="source"/>
        <result column="user_app_id" property="userAppId"/>
        <result column="param_str" property="paramStr"/>
        <result column="data_id" property="dataId"/>
    </resultMap>


</mapper>
